How to install and use Aspell for htmlArea?

apps

#1

Is it possible for me to install and use Aspell so that I can have a spell checker with my htmlArea scripts? I’ve tried installing Aspell from the shell, but I’m not quite advanced enough to understand what’s going on. I ended up with an error and so now I’m stumped…

First thing I had to do (so says the Readme) was type:
./configure && make

I did so with the current directory being that which contained all the TAR extracted Aspell files (aspell-0.60.1.1) and a lot of stuff scrolled on screen, and I scanned the output making sure I didn’t see any error messages (none were found). I guess this compiles the software.

Next thing I think I had to do was type:
make install

… to install Aspell. I ended up with an error message as follows (I’m posting as much as I could determine to be relavent):


/usr/bin/ld: cannot find -laspell
collect2: ld returned 1 exit status
libtool: install: error: relink `libpspell.la’ with the above command before installing it


I’m not quite enough of a geek to figure this out. Any ideas?


#2

Ok, I just registered this username (etM), just so everyone knows.


#3

We can probably install aspell (and associated libraries)… file a support request and ask that aspell be installed on your machine. If it goes well, let us know and we’ll look into installing it everywhere (if we don’t do this, you might find it suddenly not working if you are moved to a different machine).


#4

Thanks a lot… I was almost afraid that I might get flamed for possibly messing something up somewhere :slight_smile: